Find Profile URL
curl --request POST \
--url https://api.aisa.one/apis/v1/icypeas/find-profile-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lastname": "<string>",
"firstname": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/icypeas/find-profile-url"
payload = {
"lastname": "<string>",
"firstname": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lastname: '<string>', firstname: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/icypeas/find-profile-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/icypeas/find-profile-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lastname' => '<string>',
'firstname' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/icypeas/find-profile-url"
payload := strings.NewReader("{\n \"lastname\": \"<string>\",\n \"firstname\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/icypeas/find-profile-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lastname\": \"<string>\",\n \"firstname\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/icypeas/find-profile-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lastname\": \"<string>\",\n \"firstname\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"url": "<string>",
"result": "<string>",
"status": "<string>",
"validationErrors": [
{
"type": "<string>",
"field": "<string>",
"message": "<string>",
"humanReadableMessage": "<string>"
}
]
}Icypeas
Find Profile URL
<!-- aisa-pricing:start -->
Usage-based billing; Default request estimate: $0.0193 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ.
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
icypeas
/
find-profile-url
Find Profile URL
curl --request POST \
--url https://api.aisa.one/apis/v1/icypeas/find-profile-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lastname": "<string>",
"firstname": "<string>"
}
'import requests
url = "https://api.aisa.one/apis/v1/icypeas/find-profile-url"
payload = {
"lastname": "<string>",
"firstname": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({lastname: '<string>', firstname: '<string>'})
};
fetch('https://api.aisa.one/apis/v1/icypeas/find-profile-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/icypeas/find-profile-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'lastname' => '<string>',
'firstname' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/icypeas/find-profile-url"
payload := strings.NewReader("{\n \"lastname\": \"<string>\",\n \"firstname\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/icypeas/find-profile-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"lastname\": \"<string>\",\n \"firstname\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/icypeas/find-profile-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"lastname\": \"<string>\",\n \"firstname\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"url": "<string>",
"result": "<string>",
"status": "<string>",
"validationErrors": [
{
"type": "<string>",
"field": "<string>",
"message": "<string>",
"humanReadableMessage": "<string>"
}
]
}Request contract
- Method and path: POST /apis/v1/icypeas/find-profile-url
- Availability: enabled
- Request URL template:
https://api.aisa.one/apis/v1/icypeas/find-profile-url - Runtime facts: 22906270329c388662120d4ae8770a4e7fb4e4ba0d425d1da30906a4b22aa128
{
"operationId": "icypeas.find-profile-url",
"method": "POST",
"path": "/apis/v1/icypeas/find-profile-url",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"required": [
"firstname",
"lastname"
],
"properties": {
"jobTitle": {
"type": "string",
"description": "Job title of the person to help identify the correct profile (e.g., 'CEO', 'Software Engineer'). Required if companyOrDomain is not provided."
},
"lastname": {
"type": "string",
"description": "Last name of the person to search for (e.g., 'Landoin')"
},
"firstname": {
"type": "string",
"description": "First name of the person to search for (e.g., 'Pierre')"
},
"companyOrDomain": {
"type": "string",
"description": "Company name or website domain to narrow the search (e.g., 'icypeas.com' or 'Icypeas'). Required if jobTitle is not provided."
}
}
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.0193,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.0193 USD (not a fixed price). Declared unit rate: $0.000001 USD per provider_credit. Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.0193
- Declared unit rate (USD): 1e-06
- Billing unit: provider_credit
- Cost contract: response_units
- Published reference multiplier: 1.0
- Declared maximum count/units: 10000000
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last name of the person to search for (e.g., 'Landoin')
First name of the person to search for (e.g., 'Pierre')
Job title of the person to help identify the correct profile (e.g., 'CEO', 'Software Engineer'). Required if companyOrDomain is not provided.
Company name or website domain to narrow the search (e.g., 'icypeas.com' or 'Icypeas'). Required if jobTitle is not provided.